{
    var check_not_password_page = 1;
    if (
        typeof meta["page"]["pageType"] !== "undefined" &&
        meta["page"]["pageType"] == "password"
    ) {
        check_not_password_page = 0;
    }
    if (check_not_password_page == 1) {
        // Always code in Javascript never use Jquery
        let showCheckoutPopup = false;
        let shopCurrency = wpCheckVar(Shopify.currency)
            ? Shopify.currency.active
            : "$";
        let cartTotalAmount = 0;
        let cartSubTotalAmount = 0;
        let cashbackToUseAmount = 0;
        let walletBalanceAmount = 0;
        let generateCashback = false;
        let disabledUseCheckbox = false;
        let headerText = 'CART DETAILS';
        let headerBGColor = '#494e6e';
        let headerTextColor = '#fff';
        let subtotalText = 'SUBTOTAL:';
        let totalText = 'TOTAL:';
        let cashbalanceText = 'Avalible Wallet Balance:';
        let useBalanceText = 'Your Balance To Use';
        let checkoutButtonText = 'CHECKOUT';
        let checkoutButtonColor = '#fff';
        let checkoutButtonBGColor = '#fa6d77';
        var app_url = 'https://cashback.webplanex.com/';
        var get_languages = new Object;
        var customerId = (wpCheckVar(meta["page"]["customerId"])) ? meta["page"]["customerId"] : 0;
        var wpcbshop = wpCheckVar(Shopify.shop) ? Shopify.shop : '';
        var main_domain = window.location.hostname;
        var dt = new Date();
        var load_css_from_js = 1;
        var company_name = 'WebPlanex';
        var company_url = 'https://webplanex.com';
        var isDemo = false;
        var aws_s3_setting_file = 'settings.txt';
        var aws_s3_cashbackapp_url = 'https://cashbackappfiles.s3.ap-south-1.amazonaws.com/';
        var langParam = wpCheckVar(Shopify.routes.root) ? Shopify.routes.root : '/';
        var cart_productsCart = '';
        var product_handlesCart = '';
        var product_ridCart =  '';
        var shop_currCart = '';
        var cartText = '';
        var cart_reedem_cashback_text = '';
        var shop_locale = 'en';
        var shop_currency = "-";
        var only_proxy_url_prefix = "frontend";
        var proxy_url_prefix = "apps/" + only_proxy_url_prefix;
        var head_tag =
            document.head || document.getElementsByTagName("head")[0];
        var body_tag =
            document.body || document.getElementsByTagName("body")[0];
        var wallet_page_url =
            langParam +
            proxy_url_prefix +
            "/my_wallet?is_front=true&timetamp=" +
            dt.getTime();
        var _total_order_cashback = document.getElementById(
            "total_order_cashback",
        );
        var __wpcb_cart_snippet_cls = document.querySelectorAll(
            ".wpcb_cart_snippet_cls",
        );
        var _offerpages = ["4","15","16","17","18","19","20","21","22","23","24"];

        if (wpCheckVar(Shopify.locale)) {
            if (Shopify.locale == "pt-BR" || Shopify.locale == "pt-PT") {
                Shopify.locale = "pt";
            }
            if (Shopify.locale == "es" || Shopify.locale == "sp") {
                Shopify.locale = "sp";
            }
            if (typeof get_languagesFn(Shopify.locale) != "undefined") {
                shop_locale = Shopify.locale;
            }
            get_languages = get_languagesFn(shop_locale);
        }

        function getAWSSettingFileName(wpcbshop) {
            var store_name = wpcbshop.split(".");
            if (isDemo == true) {
                return store_name[0] + "_demo_" + aws_s3_setting_file;
            }
            return store_name[0] + "_" + aws_s3_setting_file;
        }
        //Close Checkout Popup Listner.
        function popUpCloseEventListner() {
            let cartCashbackPopup = document.getElementsByClassName(
                "wep_cart_cashback-main",
            );
            cartCashbackPopup[0].classList.remove("active");
        }
        // Checkout Cart Button Listner
        function checkoutCartListner(event) {
            event.preventDefault();
            loaderShowHide("block");
            let userWalletAmount =
                document.getElementById("use_wallet_balance").checked;
            if (userWalletAmount && generateCashback) {
                let xhr = new XMLHttpRequest();
                xhr.open(
                    "POST",
                    "https://" +
                        main_domain +
                        "/" +
                        proxy_url_prefix +
                        "/create_coupon_code?shop=" +
                        Shopify.shop +
                        "&is_front=true",
                );
                xhr.setRequestHeader(
                    "Content-Type",
                    "application/json;charset=UTF-8",
                );
                xhr.setRequestHeader("Access-Control-Allow-Origin", "*");
                let data = JSON.stringify({
                    shop: Shopify.shop,
                    customer_id: customerId,
                    cart_checkout: 1,
                    wallet_amount_percentage_to_redeem: document.getElementById(
                        "wallet_amount_percentage_to_redeem",
                    ).value,
                });
                xhr.onload = function () {
                    if (this.readyState == 4 && this.status == 200) {
                        var response = this.responseText;
                        var result = JSON.parse(response);
                        if (result.success == 1) {
                            walletBalanceAmount = result.my_wallet.cash_balance;
                            document.getElementById("cart_discount").value =
                                result.my_wallet.coupon_code;
                            document
                                .getElementById("wep_cart_checkout_form")
                                .submit();
                        }
                    }
                };
                xhr.send(data);
            } else {
                document.getElementById("wep_cart_checkout_form").submit();
            }
        }
        // Redeemable checkbox Listner.
        function useWalletListner() {
            var _cart_total_final = document.getElementById("cart_total_final");
            var _your_wallet_cashbalance = document.getElementById(
                "your_wallet_cashbalance",
            );
            if (this.checked && generateCashback) {
                if (generateCashback) {
                    if (_cart_total_final) {
                        _cart_total_final.innerText =
                            shopCurrency +
                            " " +
                            (cartTotalAmount - cashbackToUseAmount).toFixed(2);
                    }
                    if (_your_wallet_cashbalance) {
                        _your_wallet_cashbalance.innerText =
                            shopCurrency + " " + walletBalanceAmount;
                    }
                }
                this.checked = true;
            } else {
                this.checked = false;
                if (_cart_total_final) {
                    _cart_total_final.innerText =
                        shopCurrency + " " + cartTotalAmount;
                }
                if (_your_wallet_cashbalance) {
                    _your_wallet_cashbalance.innerText =
                        shopCurrency + " " + walletBalanceAmount;
                }
            }
            if (!generateCashback) {
                this.setAttribute("disabled", "disabled");
            }
        }
        // Impelented - Redeem Cashback Button On Click
        function cartCheckoutCashback() {
            
            
            if (showCheckoutPopup && customerId != undefined) {
                wepCasbackLoading("block");
                
               
                var xhttp = new XMLHttpRequest();
                xhttp.onreadystatechange = function () {
                    if (this.readyState == 4 && this.status == 200) {
                        var response = this.responseText;
                        var cart_products = JSON.parse(response);
                        if (cart_products) {
                            cartTotalAmount = Number.parseFloat(cart_products.total_price / 100).toFixed(2);
                            cartSubTotalAmount = Number.parseFloat(cart_products.items_subtotal_price / 100).toFixed(2);
                            var xhttp = new XMLHttpRequest();
                            xhttp.onreadystatechange = function () {
                                if (this.readyState == 4 && this.status == 200) {
                                    var response = this.responseText;
                                    var data = JSON.parse(response);
                                    shopCurrency = data.currency;
                                    if (!data["error"]) {
                                        var cartPopupTemplate = data.cartTemplate;
                                        if(cartPopupTemplate){ 
                                            var _cartCashbackPopup = document.getElementsByClassName("wep_cart_cashback-main")[0];
                                            if (_cartCashbackPopup) {                                                
                                                _cartCashbackPopup.remove();
                                            }
                                            body_tag.insertAdjacentHTML("beforeend", cartPopupTemplate); 
                                            var _wep_cart_cashback_popout_close =
                document.getElementsByClassName(
                    "wep_cart_cashback-popout_close",
                )[0];
            if (_wep_cart_cashback_popout_close) {
                _wep_cart_cashback_popout_close.removeEventListener(
                    "click",
                    popUpCloseEventListner,
                );
            }
            var _checkout_cart = document.getElementById("checkout_cart");
            if (_checkout_cart) {
                _checkout_cart.removeEventListener(
                    "click",
                    checkoutCartListner,
                );
            }                                       
            if (_wep_cart_cashback_popout_close) {
                    _wep_cart_cashback_popout_close.addEventListener(
                        "click",
                        popUpCloseEventListner,
                    );
                }
                if (_checkout_cart) {
                    _checkout_cart.addEventListener(
                        "click",
                        checkoutCartListner,
                    );
                }
                                            var _use_wallet_balance = document.getElementById("use_wallet_balance");
                                            if (_use_wallet_balance) {
                                                _use_wallet_balance.removeEventListener("change",checkoutCartListner);
                                            }
                                            if (_use_wallet_balance) {
                                                _use_wallet_balance.addEventListener("change",useWalletListner);
                                            }                                        
                                            
                                            var _wallet_amount_percentage_to_redeem = document.getElementById("wallet_amount_percentage_to_redeem");
                                            var _cart_total_final = document.getElementById("cart_total_final");
                                            if (_use_wallet_balance && _use_wallet_balance.checked) {
                                                if (_cart_total_final) {
                                                    _cart_total_final.innerText = shopCurrency + " " + cartTotalAmount;
                                                }
                                                _use_wallet_balance.checked = false;
                                            }
                                            if (!Object.keys(data["couponData"]).length && data["generated_coupon_balance"] > 0) {
                                                generateCashback = true;
                                            }
                                            cashbackToUseAmount = Number.parseFloat(data["generated_coupon_balance"]).toFixed(2);
                                            walletBalanceAmount = Number.parseFloat(data["cash_balance"]).toFixed(2);
                                            wepCasbackLoading("none");
                                            var _cartCashbackPopup = document.getElementsByClassName("wep_cart_cashback-main")[0];
                                            if (_cartCashbackPopup) {
                                                _cartCashbackPopup.classList.add("active");
                                            }
                                            if (Object.keys(data["couponData"]).length) {
                                                if (cartTotalAmount >= Number.parseFloat(data["couponData"]["minimum_purchase_order_amount"])) 
                                                {
                                                    disabledUseCheckbox = true;
                                                    generateCashback = false;
                                                } else {
                                                    generateCashback = false;
                                                }
                                            }
                                            if (!walletBalanceAmount) {
                                                generateCashback = false;
                                            }
                                            var _use_cashback_balance = document.getElementById("use_cashback_balance");
                                            var _your_wallet_cashbalance = document.getElementById("your_wallet_cashbalance");
                                            if (generateCashback) {
                                                if (_use_wallet_balance) {
                                                    _use_wallet_balance.checked = true;
                                                }
                                                if (_use_cashback_balance) {
                                                    _use_cashback_balance.innerText =
                                                        shopCurrency +
                                                        " " +
                                                        cashbackToUseAmount;
                                                }
                                                if (_cart_total_final) {
                                                    _cart_total_final.innerText =
                                                        shopCurrency +
                                                        " " +
                                                        (
                                                            cartTotalAmount -
                                                            cashbackToUseAmount
                                                        ).toFixed(2);
                                                }
                                                if (_your_wallet_cashbalance) {
                                                    _your_wallet_cashbalance.innerText =
                                                        shopCurrency +
                                                        " " +
                                                        walletBalanceAmount;
                                                }
                                            } else {
                                                if (_use_cashback_balance) {
                                                    _use_cashback_balance.innerText =
                                                        shopCurrency + " " + "0.00";
                                                }
                                                if (_your_wallet_cashbalance) {
                                                    _your_wallet_cashbalance.innerText =
                                                        shopCurrency +
                                                        " " +
                                                        walletBalanceAmount;
                                                }
                                                if (_cart_total_final) {
                                                    _cart_total_final.innerText =
                                                        shopCurrency +
                                                        " " +
                                                        cartTotalAmount;
                                                }
                                            }
                                            var _cart_order_subtotal = document.getElementById("cart_order_subtotal");
                                            if (_cart_order_subtotal) {
                                                _cart_order_subtotal.innerText = shopCurrency +" " +cartSubTotalAmount;
                                            }
                                            if (Object.keys(data["couponData"]).length) {
                                                if (cartTotalAmount >= data["couponData"]["minimum_purchase_order_amount"]) {
                                                    if (disabledUseCheckbox && _use_wallet_balance) {
                                                        _use_wallet_balance.setAttribute("disabled","disabled");
                                                    }
                                                    cashbackToUseAmount = Number.parseFloat(data["couponData"]["generated_coupon_balance"]).toFixed(2);
                                                    if (_use_wallet_balance) {
                                                        _use_wallet_balance.checked = true;
                                                    }
                                                    if (_use_cashback_balance) {
                                                        _use_cashback_balance.innerText = shopCurrency +" "+cashbackToUseAmount;
                                                    }
                                                    var _cart_discount = document.getElementById("cart_discount");
                                                    if (_cart_discount) {
                                                        _cart_discount.value = data["couponData"]["coupon_code"];
                                                    }
                                                    if (_wallet_amount_percentage_to_redeem) {
                                                        _wallet_amount_percentage_to_redeem.value = cashbackToUseAmount;
                                                    }
                                                    if (_cart_order_subtotal) {
                                                        _cart_order_subtotal.innerText = shopCurrency +" "+cartSubTotalAmount;
                                                    }
                                                    var _cart_order_total_amount = document.getElementById("cart_order_total_amount");
                                                    if (_cart_order_total_amount) {
                                                        _cart_order_total_amount.innerText = shopCurrency +" "+cartTotalAmount;
                                                    }
                                                    if (_cart_total_final) {
                                                        cart_total_final.innerText = shopCurrency +" "+(cartTotalAmount - cashbackToUseAmount).toFixed(2);
                                                    }
                                                }
                                            } else {
                                                if (_wallet_amount_percentage_to_redeem) {
                                                    _wallet_amount_percentage_to_redeem.value = cashbackToUseAmount;
                                                }
                                            }
                                        }
                                    }
                                }
                            };
                            xhttp.open("GET","https://" +main_domain +"/" +proxy_url_prefix +"/cartwalletamount?shop=" +Shopify.shop +"&timetamp=" +dt.getTime() +"&customerId=" +customerId +"&is_front=true&orderTotal=" +cartTotalAmount);
                            xhttp.send();
                        }
                        return true;
                    }
                };
                xhttp.open("GET", "/cart.js");
                xhttp.send();
            } else {
                window.location = langParam + "account/login";
            }
        }
        //domReady Function Set Here
        function wex_setbadge() {
            //------------------domReady Function Code Start------------------
            var domain = window.location.href;
            var url = new URL(domain);
            var param = url.searchParams.get("q");
            const form = document.forms;
            if (param != null) {
                let checkcode = param.split("cashback_");
                if (checkcode.length > 1) {
                    param = checkcode[1];
                }
                if (param && form.length > 0) {
                    for (i = 0; i <= form.length - 1; i++) {
                        form[i].insertAdjacentHTML(
                            "beforeend",
                            '<input type="hidden" id="customer_refferral" name="customer[tags]" value="' +
                                param +
                                '">',
                        );
                    }
                }
            }
            var param = url.searchParams.get("referral");
            if (param != null) {
                let checkcode = param.split("cashback_");
                if (checkcode.length > 1) {
                    param = checkcode[1];
                }
                if (param && form.length > 0) {
                    for (i = 0; i <= form.length - 1; i++) {
                        form[i].insertAdjacentHTML(
                            "beforeend",
                            '<input type="hidden" id="customer_refferral" name="customer[tags]" value="' +
                                param +
                                '">',
                        );
                    }
                }
            }
            let loader = `<div class="wep_casback_loading" style="display:none;"></div>`;
            body_tag.insertAdjacentHTML("beforeend", loader);

            var open_popup = document.getElementById("OpenPopup");
            if (open_popup) {
                open_popup.onclick = function () {
                    var _wpcbtp_body = body_tag.getAttribute("wpcbpopup_template");
                    if (_wpcbtp_body == "offer_page") {
                        openPublicOrWalletPage();
                    } else {
                        openIwpcbPopupIframe();
                    }
                    return false;
                };
            }

            var _OpenPopup_cls = document.querySelectorAll(
                ".OpenPopup",
            );        
            if (_OpenPopup_cls) {
                    _OpenPopup_cls.forEach((element) => {
                        element.onclick = function () {
                            var _wpcbtp_body = body_tag.getAttribute("wpcbpopup_template");
                            if (_wpcbtp_body == "offer_page") {
                                openPublicOrWalletPage();
                            } else {
                                openIwpcbPopupIframe();
                            }
                            return false;
                        };
                    });
                }

            var mob_open_popup = document.getElementById("MobOpenPopup");
            if (mob_open_popup) {
                mob_open_popup.onclick = function () {
                    var _wpcbtp_body = body_tag.getAttribute("wpcbpopup_template");
                    if (_wpcbtp_body == "offer_page") {
                        openPublicOrWalletPage();
                    } else {
                        openIwpcbPopupIframe();
                    }
                    return false;
                };
            }            
            var product_handles = "";
            var product_rid = "";
            var sep = "";
            var e11 = null;
            var xhttp = new XMLHttpRequest();
            xhttp.onreadystatechange = function () {
                if (this.readyState == 4 && this.status == 200) {
                    awsFileSetPopupData(this.responseText);
                    loadPopupJS();                    
                }
                if (this.status == 403) {
                    createAWSSettingFile(wpcbshop);
                }
            };
            xhttp.open(
                "GET",
                aws_s3_cashbackapp_url +
                    getAWSSettingFileName(wpcbshop) +
                    "?timetamp=" +
                    dt.getTime(),
                true,
            );
            xhttp.send();            
            var wallet_page_link_element_link = document.querySelectorAll(
                "#wpcb_my_wallet_page_link",
            );
            if (wallet_page_link_element_link) {
                wallet_page_link_element_link.forEach((element) => {
                    element.addEventListener("click", (event) => {
                        if (customerId != 0) {
                            window.location.href = wallet_page_url;
                        } else {
                            window.location.href = langParam + "account/login/";
                        }
                    });
                });
            }
        }
        function createAWSSettingFile(wpcbshop) {
            var xhttp = new XMLHttpRequest();
            xhttp.onreadystatechange = function () {
                if (this.readyState == 4 && this.status == 200) {
                    var xhttp = new XMLHttpRequest();
                    xhttp.onreadystatechange = function () {
                        if (this.readyState == 4 && this.status == 200) {
                            awsFileSetPopupData(this.responseText);                            
                        }
                        if (this.status == 403) {
                            createAWSSettingFile(wpcbshop);
                        }
                    };
                    xhttp.open(
                        "GET",
                        aws_s3_cashbackapp_url +
                            getAWSSettingFileName(wpcbshop) +
                            "?timetamp=" +
                            dt.getTime(),
                        true,
                    );
                    xhttp.send();
                }
            };
            xhttp.open(
                "GET",
                "https://" +
                    main_domain +
                    "/" +
                    proxy_url_prefix +
                    "/create_front?shop=" +
                    Shopify.shop +
                    "&is_front=true&timetamp=" +
                    dt.getTime(),
                true,
            );
            xhttp.send();
        }
        function awsFileSetPopupData(data) {
            
            var mix_array = [];
            mix_array = JSON.parse(data);
            var response_success =
                mix_array.success == 1 || wpCheckVar(mix_array) ? true : false;
            if (window.location.pathname != langParam + "cart") {
                wepCasbackLoading("none");
            }
            // Start Popup Variables
            var status_on_off =
                response_success && wpCheckVar(mix_array["status_on_off"])
                    ? mix_array["status_on_off"]
                    : 0;
            var auto_popup_status_on_off =
                response_success &&
                wpCheckVar(mix_array["auto_popup_status_on_off"])
                    ? mix_array["auto_popup_status_on_off"]
                    : 0;
            var popup_style =
                response_success && wpCheckVar(mix_array["popup"])
                    ? mix_array["popup"]
                    : 1;

            var popup_template_style = 'popup';

            if(popup_style == 4){
                popup_template_style = 'offer_page';
            }

            if(popup_style != 1 || popup_style != 2 || popup_style != 3){
                if(response_success && wpCheckVar(mix_array["template_type"])){
                    popup_template_style = mix_array["template_type"];
                }                    
            }
            
            var display_cashback_wallet_on_front = 1;
            var cashbacktext = mix_array["cart_reedem_cashback_text"]
            cart_reedem_cashback_text =
                response_success &&
                wpCheckVar(mix_array["cart_reedem_cashback_text"])
                    ? cashbacktext.replace("[reward_title]" , mix_array["reward_title"])
                    : get_languages.redeem_cashback.replace("[reward_title]" , mix_array["reward_title"]);

                
                var _wpcb_reward_title = document.querySelectorAll(".wp_cb_reward_title");

                _wpcb_reward_title.forEach(element => {
                    element.innerHTML = mix_array["reward_title"];
                });


            if (response_success) {
                body_tag.setAttribute("wpcbpopup", popup_style);
                body_tag.setAttribute("wpcbpopup_template", popup_template_style);
                var open_popup = document.getElementById("OpenPopup");
                if (open_popup && status_on_off != 1) {
                    open_popup.style.display = "none";
                }
                if (
                    mix_array["cart_cashback_popup"] !== "undefined" &&
                    mix_array["cart_cashback_popup"] == 1
                ) {
                    showCheckoutPopup = true;
                } else {
                    showCheckoutPopup = false;
                }
                headerBGColor = mix_array["cart_header_background_color"];
                headerText = mix_array["cart_header_text"];
                headerTextColor = mix_array["cart_header_text_color"];
                subtotalText = mix_array["cart_sub_total_text"];
                totalText = mix_array["cart_total_text"];
                cashbalanceText = mix_array["cart_available_balance_text"];
                useBalanceText = mix_array["cart_balance_to_use_text"];
                checkoutButtonText = mix_array["cart_checkout_button_text"];
                checkoutButtonColor =
                    mix_array["cart_checkout_button_text_color"];
                checkoutButtonBGColor = mix_array["cart_checkout_button_color"];
                display_cashback_wallet_on_front =
                    mix_array["display_cashback_wallet_on_front"];
            }
            
            if (showCheckoutPopup) {
                if (wpcbshop != "bohin-france.myshopify.com") {
                    var checkout_cls = "";
                    var checkout_cls_element =
                        document.querySelector("[name=checkout]");
                    if (checkout_cls_element) {
                        checkout_cls =
                            checkout_cls_element.getAttribute("class");
                        if (checkout_cls == "") {
                            checkout_cls = "cart_cashback_button";
                        }
                    }
                    var wep_cart_checkout_element =
                        document.querySelector(".wep_cart_checkout");
                    if (wep_cart_checkout_element) {
                        wep_cart_checkout_element.innerHTML =
                            '<button type="button" onclick="cartCheckoutCashback()" name="wep_checkout" class="' +
                            checkout_cls +
                            '">' +
                            cart_reedem_cashback_text +
                            "</button>";
                    }
                }
            }
            if (display_cashback_wallet_on_front == 1) {
                var e11 = document.querySelectorAll(
                    'a[href*="account/logout"]',
                );
                if (e11.length > 0) {
                    e11.forEach((element) => {
                        if (element) {
                            var element_href = element.getAttribute("href");
                            element_href = element_href.substring(1); // remove extra slash from start
                            if (
                                element_href == "account/logout" ||
                                element_href == langParam + "account/logout"
                            ) {
                                if (
                                    element.getAttribute("class") !== undefined
                                ) {
                                    var a_class = element.getAttribute("class");
                                } else {
                                    var a_class = "";
                                }
                                var a1 = element.parentNode;
                                var my_wallet_link =
                                    document.createElement("a");
                                my_wallet_link.setAttribute("class", a_class);
                                my_wallet_link.href = wallet_page_url;
                                if(wpcbshop != "waldos-mart.myshopify.com"){
                                    my_wallet_link.setAttribute(
                                    "style",
                                    "padding-right: 8px;",
                                    );                                
                                }
                                if(wpcbshop == "biplecom-test.myshopify.com"){
                                    my_wallet_link.setAttribute(
                                        "style",
                                        "margin: 10px;color: white;",
                                        );  
                                }                                
                                my_wallet_link.innerText =
                                        get_languages.My_Cashback_Wallet;                                
                                if (
                                    a1.getAttribute("class") ==
                                    "section-header text-center"
                                ) {
                                    my_wallet_link.setAttribute(
                                        "style",
                                        "display:block;",
                                    );
                                } else {
                                    if (main_domain == "audioactive.es") {
                                        my_wallet_link.innerText =
                                            "Dinero acumulado";
                                    } else if (
                                        wpcbshop == "klubbstore.myshopify.com"
                                    ) {
                                        my_wallet_link.setAttribute(
                                            "class",
                                            "wpcb_klubb",
                                        );
                                        my_wallet_link.innerText =
                                            "Mon cashback";
                                        my_wallet_link.setAttribute(
                                            "style",
                                            "color:white;padding-right:15px",
                                        );
                                    } else if (
                                        wpcbshop == "shop-hamples.myshopify.com"
                                    ) {
                                        my_wallet_link.setAttribute(
                                            "style",
                                            "padding-right: 8px;text-transform:UPPERCASE;",
                                        );
                                    } else if (
                                        wpcbshop ==
                                        "8earn-shopping.myshopify.com"
                                    ) {
                                        my_wallet_link.innerHTML =
                                            '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="#icon"><!--! Font Awesome Free 6.4.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) Copyright 2023 Fonticons, Inc. --><path d="M190.5 68.8L225.3 128H224 152c-22.1 0-40-17.9-40-40s17.9-40 40-40h2.2c14.9 0 28.8 7.9 36.3 20.8zM64 88c0 14.4 3.5 28 9.6 40H32c-17.7 0-32 14.3-32 32v64c0 17.7 14.3 32 32 32H480c17.7 0 32-14.3 32-32V160c0-17.7-14.3-32-32-32H438.4c6.1-12 9.6-25.6 9.6-40c0-48.6-39.4-88-88-88h-2.2c-31.9 0-61.5 16.9-77.7 44.4L256 85.5l-24.1-41C215.7 16.9 186.1 0 154.2 0H152C103.4 0 64 39.4 64 88zm336 0c0 22.1-17.9 40-40 40H288h-1.3l34.8-59.2C329.1 55.9 342.9 48 357.8 48H360c22.1 0 40 17.9 40 40zM32 288V464c0 26.5 21.5 48 48 48H224V288H32zM288 512H432c26.5 0 48-21.5 48-48V288H288V512z"></path></svg>Il mio Wallet';
                                    }
                                }
                                if (wpcbshop == "klubbstore.myshopify.com") {
                                    var my_wallet_custom_css =
                                        document.createElement("style");
                                    my_wallet_custom_css.type = "text/css";
                                    my_wallet_custom_css.textContent =
                                        "div .wpcb_klubb{color:black!important;}ul .wpcb_klubb{color:white!important;}";
                                    a1.insertBefore(my_wallet_link, element);
                                    a1.insertBefore(
                                        my_wallet_custom_css,
                                        element,
                                    );
                                } else {
                                    a1.insertBefore(my_wallet_link, element);
                                }
                            }
                        }
                    });
                }
            }
            /* check if popup is enbale with populer display style*/
            console.log("atuonf" + status_on_off);
            if (status_on_off == 1) {
                var _popup_btn = document.querySelector(".auto_popup_cls");
                if (_popup_btn) {
                    _popup_btn.remove();
                }
                loadPopupDynamicCSS(mix_array);
                var popup_html = popupDesignHTML(mix_array);
                body_tag.insertAdjacentHTML("beforeend", popup_html);
            }

            // Load auto popup start
            // openIwpcbPopupIframe();
            var popup_data_array = [];
            popup_data_array["status_on_off"] = status_on_off;
            popup_data_array["auto_popup_status_on_off"] =
                auto_popup_status_on_off;
            popup_data_array["popup_style"] = popup_style;
            loadAutoPopup(popup_data_array);
            // Load auto popup end       

            // if (window.location.pathname == langParam+'cart') {
            if (wpCheckVar(mix_array.cart_code_snippet)) {
                cartText = mix_array.cart_code_snippet;
            }
            // }
        }
        function runJsCartPage() {
            // if (window.location.pathname == langParam+'cart') {
            var xhttp = new XMLHttpRequest();
            xhttp.onreadystatechange = function () {
                if (this.readyState == 4 && this.status == 200) {
                    var response = this.responseText;
                    var cart_products = JSON.parse(response);
                    var data_array = [];
                    var product_handles_array = [];
                    var items_price_quantity = [];
                    var data_array = cart_products.items;
                    var prd_handle = "";
                    var items_price_quantity_total = 0;
                    var product_handles = "";
                    var sep = "";
                    var prd_id;
                    for (var i = 0; i < data_array.length; i++) {
                        if (cart_products.items[i].price > 0) {
                            items_price_quantity[i] =
                                (cart_products.items[i].price / 100) *
                                cart_products.items[i].quantity;
                        } else {
                            items_price_quantity[i] = 0;
                        }
                        var arr = cart_products.items[i].url.split("/");
                        var str_handle = arr[arr.length - 1];
                        prd_handle = str_handle.split("?");
                        product_handles_array[i] = prd_handle[0];
                        product_handles += sep + prd_handle[0];
                        sep = "~";
                    }
                    cart_productsCart = cart_products;
                    product_handlesCart = product_handles;
                    product_ridCart = prd_id;
                    shop_currCart = shop_currency;
                    return true;
                }
            };
            xhttp.open("GET", "/cart.js");
            xhttp.send();
            // }
        }
        function otherScript() {
            if (wpcbshop == "bohin-france.myshopify.com") {
                var ename = document.querySelector('input[name="return_to"]');
                if (ename) {
                    var target = ename.value;
                    if (
                        target == langParam + proxy_url_prefix + "/my_wallet" &&
                        customerId != 0
                    ) {
                        let walletURL =
                            target +
                            `?ct_id=${
                                meta["page"]["customerId"]
                            }&timetamp=${dt.getTime()}`;
                        ename.value = walletURL;
                    }
                }
            }
        }
        function wexLoadScript() {
            if (load_css_from_js) {
                loadPopupCSS();
            }
            if (wex_setbadge) {
                otherScript();
                wex_setbadge();
                runJsCartPage();                
                /*For Cart Update*/
                // if (window.location.pathname == langParam+'cart') {
                if (wpcbshop == "bohin-france.myshopify.com") {
                    var _card__section_wpcb = document.querySelector(
                        ".card__section.wpcb",
                    );
                    if (_card__section_wpcb) {
                        _card__section_wpcb.insertAdjacentHTML(
                            "beforeend",
                            "<div class='bhncls' style='font-size:15px;font-style:italic;'>" +
                                get_languages.loading +
                                "</div>",
                        );
                    }
                }
                replaceCartSnippetCode();
                // if(wpcbshop != 'waldos-mart.myshopify.com'){
                if (__wpcb_cart_snippet_cls.length > 0) {
                    setTimeout(function () {
                        getCartCashbackAmount();
                    }, 1000);
                } else {
                    if (wpCheckVar(_total_order_cashback)) {
                        setTimeout(function () {
                            getCartCashbackAmount();
                        }, 1000);
                    }
                }
                // }
                setTimeout(function () {
                    (function (ns, fetch) {
                        if (typeof fetch !== "function") return;
                        ns.fetch = function () {
                            const response = fetch.apply(this, arguments);
                            response.then((res) => {
                                if (
                                    [
                                        window.location.origin +
                                            langParam +
                                            "cart/change.js",
                                        window.location.origin +
                                            langParam +
                                            "cart/change",
                                        window.location.origin +
                                            langParam +
                                            "cart/add",
                                        window.location.origin +
                                            langParam +
                                            "cart/add.js",
                                    ].includes(res.url)
                                ) {
                                    res.clone()
                                        .json()
                                        .then((data) => cartUpdate(data));
                                }
                            });
                            return response;
                        };
                    })(window, window.fetch);
                }, 500);
                // }
                displayBalanceHTML();
            }
        }
        function displayBalanceHTML() {
            var _wpcb_wallet_balance = document.querySelectorAll(
                ".wpcb_wallet_balance",
            );

            var my_balance_text = get_languages.my_balance;
            
            if (wpcbshop == "misradia.myshopify.com") {
                my_balance_text = "היתרה שלי";
            }

            //Wallet Icon get for Shop start
            var xhttp = new XMLHttpRequest();
            var responseData = "";

            xhttp.onreadystatechange = function () {
                if (this.readyState === 4 && this.status === 200) {
                    responseData = JSON.parse(this.responseText);
                    console.log(responseData?.cashback_wallet_toggle);
                    if (responseData?.cashback_wallet_toggle === 0) {
                        const element = document.getElementById("wep_get_cashback");
                        if (element) {
                          element.style.display = "none";
                        }
                    }
                    if (_wpcb_wallet_balance) {
                        var html = "";
                        html +=
                            '<style type="text/css">.wpcb-balance-img{cursor:pointer;width:40px;height:40px;}.wpcbheader-hover{position:absolute;right:0;top:45px;max-width: 250px;min-width: 200px;box-shadow:#000 0 4px 5px;left:inherit;border-radius:5px}.wpcbheader-count .wpcbheader-hover{background-color: #939292;color:#fff;padding: 5px 10px;border-radius: 5px;text-align:start;}.wpcbheader-count,.wpcbheader-title{position:relative}.wpcbheader-title{border-radius:4px}.wpcbheader-title::before{position:absolute;width:6px;height:6px;transform:rotate(45deg);right:18px;border-bottom:1px solid var(--color-white);border-right:1px solid var(--color-white)}.wpcbheader-count .wpcbheader-hover .wpcbheader-drop a{text-align:center}</style>';
                        html += '<div class="wpcbheader-count">';
                        html += '<div class="wpcbheader-title" id="wpcbheader-title">';
                        html +=
                            '<img class="wpcb-balance-img" src="' + responseData?.file +'">';
                        html += "</div>";
                        html +=
                            '<span class="wpcbheader-loading" id="wpcbheader-loading">Loading';
                        html += "</span>";
                        html += '<span class="wpcbheader-hover" id="wpcbheader-hover">';
                        html +=
                            "<span>" +
                            my_balance_text +
                            ' :</span> <span class="wpcb_my_wallet_balance" id="wpcb_my_wallet_balance">' +
                            shopCurrency +
                            " 0</span>";
                        html += "</span>";
                        html += "</div>";
        
                        _wpcb_wallet_balance.forEach((element) => {
                            element.innerHTML = html;
                        });
        
                        var _wpcbheader_loading = document.querySelectorAll(
                            ".wpcbheader-loading",
                        );
                        var _wpcbheader_hover =
                            document.querySelectorAll(".wpcbheader-hover");
                        var _wpcbheader_title =
                            document.querySelectorAll(".wpcbheader-title");
        
                        if (_wpcbheader_loading) {
                            _wpcbheader_loading.forEach((element) => {
                                element.style.display = "none";
                            });
                        }
                        if (_wpcbheader_hover) {
                            _wpcbheader_hover.forEach((element) => {
                                element.style.display = "none";
                            });
                        }
                        if (_wpcbheader_title) {
                            _wpcbheader_title.forEach((element) => {
                                element.addEventListener("mouseover", (event) => {
                                    if (_wpcbheader_loading) {
                                        _wpcbheader_loading.forEach((element) => {
                                            element.style.display = "block";
                                        });
                                    }
                                    displayWalletBalance();
                                });
                                element.addEventListener("mouseout", (event) => {
                                    if (_wpcbheader_loading) {
                                        _wpcbheader_loading.forEach((element) => {
                                            element.style.display = "none";
                                        });
                                    }
                                    if (_wpcbheader_hover) {
                                        _wpcbheader_hover.forEach((element) => {
                                            element.style.display = "none";
                                        });
                                    }
                                });
                            });
                        }
                    }
                }
            };

            xhttp.open(
                "GET",
            app_url + "api/getWalletIcon?shop="+wpcbshop,
                true
            );
            xhttp.setRequestHeader(
                "Content-Type",
                "application/json;charset=UTF-8",
            );
            xhttp.setRequestHeader("Access-Control-Allow-Origin", "*");
            xhttp.send();
        //Wallet Icon get for Shop end
        }
        function displayWalletBalance() {
            var _wpcbheader_loading = document.querySelectorAll(
                ".wpcbheader-loading",
            );
            var _wpcbheader_hover =
                document.querySelectorAll(".wpcbheader-hover");
            var _wpcb_wallet_balance = document.querySelectorAll(
                ".wpcb_wallet_balance",
            );
            if (customerId > 0 && _wpcb_wallet_balance) {
                var _wpcb_my_wallet_balance = document.querySelectorAll(
                    ".wpcb_my_wallet_balance",
                );
                var base_url1 =
                    "https://" +
                    main_domain +
                    "/" +
                    proxy_url_prefix +
                    "/get_wallet_balance?shop=" +
                    wpcbshop +
                    "&is_front=true&timetamp=" +
                    dt.getTime() +
                    "&customer_id=" +
                    customerId;
                let xhr = new XMLHttpRequest();
                xhr.open("POST", base_url1);
                xhr.setRequestHeader(
                    "Content-Type",
                    "application/json;charset=UTF-8",
                );
                xhr.setRequestHeader("Access-Control-Allow-Origin", "*");
                let data = JSON.stringify({
                    shop: Shopify.shop,
                    customer_id: customerId,
                });
                xhr.onload = function () {
                    if (this.readyState == 4 && this.status == 200) {
                        var response = this.responseText;
                        var result = JSON.parse(response);
                        if (result.success == 1) {
                            if (_wpcb_my_wallet_balance) {
                                _wpcb_my_wallet_balance.forEach((element) => {
                                    element.innerText =
                                        result.shop_currency +
                                        " " +
                                        result.wallet_balance;
                                });
                            }
                        }
                    }
                };
                xhr.send(data);
            }
            if (_wpcbheader_loading) {
                _wpcbheader_loading.forEach((element) => {
                    element.style.display = "none";
                });
            }
            if (_wpcbheader_hover) {
                _wpcbheader_hover.forEach((element) => {
                    element.style.display = "block";
                });
            }
        }
        function replaceCartSnippetCode(
            currency = false,
            cbamt = false,
            full_sentance = "",
        ) {
            var _total_order_cashback = document.getElementById(
                "total_order_cashback",
            );
            var _wpcb_cashback_label = document.querySelectorAll(
                ".wpcb_cashback_label",
            );
            var _wpcb_cls_sentance =
                document.querySelectorAll(".wpcb_cls_sentance");
            if (_total_order_cashback) {
                if (full_sentance) {
                    _total_order_cashback.innerHTML = full_sentance;
                } else {
                    _total_order_cashback.innerHTML = get_languages.loading;
                }
            }
            if (_wpcb_cashback_label) {
                _wpcb_cashback_label.forEach((element) => {
                    if (full_sentance) {
                        element.innerHTML = full_sentance;
                    } else {
                        element.innerHTML = get_languages.loading;
                    }
                });
            }
            //Shopify theme 2.O
            if (_wpcb_cls_sentance.length >= 1) {
                var _cb_snippet_line = document.querySelectorAll(".wpcbmt_cls");
                if (_cb_snippet_line) {
                    _cb_snippet_line.forEach((element) => {
                        var wpcb_bal = "";
                        if (currency == "" && cbamt == "") {
                            wpcb_bal = get_languages.loading;
                        } else {
                            wpcb_bal = currency + cbamt;
                        }
                        element.innerText = wpcb_bal;
                    });
                }
            }
        }
        /*Cart Update*/
         function cartUpdate(cart_products) {
            replaceCartSnippetCode();
            runJsCartPage();
            // if(wpcbshop != 'waldos-mart.myshopify.com'){
            if (__wpcb_cart_snippet_cls.length > 0) {
               
                   setTimeout(function () {
                        getCartCashbackAmount();
                    }, 1000);
            } else {
                if (wpCheckVar(_total_order_cashback)) {
                    setTimeout(function(){
                    getCartCashbackAmount();
                    },1000);
                }
            }
 
            // }
        }
        //Cart Cashback Balance Get
        function getCartCashbackAmount() {
            if (wpCheckVar(product_handlesCart)) {
                let xhr = new XMLHttpRequest();
                xhr.open(
                    "POST",
                    "https://" +
                        main_domain +
                        "/" +
                        proxy_url_prefix +
                        "/wpcbcartcb?shop=" +
                        Shopify.shop +
                        "&is_front=true&timetamp=" +
                        dt.getTime() +
                        "&customerId=" +
                        meta["page"]["customerId"],
                    true,
                );
                xhr.setRequestHeader(
                    "Content-Type",
                    "application/json;charset=UTF-8",
                );
                xhr.setRequestHeader("Access-Control-Allow-Origin", "*");
                let data = JSON.stringify({
                    cart_products: cart_productsCart,
                    product_handles: product_handlesCart,
                    product_rid: product_ridCart,
                    shop_curr: shop_currCart,
                });
                xhr.onload = function () {
                    if (this.readyState == 4 && this.status == 200) {
                        var response = this.responseText;
                        var result = JSON.parse(response);
                        wepCasbackLoading("none");
                        if (result.hasOwnProperty("success")) {
                            var total_cashback = result.total_cashback;
                            shop_currency = result.currency;
                            var _img = "front-cashback-offer.png";
                            if (wpcbshop == "real-aquatics.myshopify.com") {
                                _img = "real-aquatics-cart-label.png";
                            }                            
                            if (wpcbshop == "2e6a3c-2.myshopify.com") {
                                _img = "2e6a3c-2-cart-label.png";
                            }
                            if (wpcbshop == "kica-cookbooks.myshopify.com") {
                                _img = "kica-cookbooks-cashback-offer.png";
                            }
                            var cart_cashback_text =
                                '<div class="wpcb_cart_snippet_cls"><img src="' +
                                app_url +
                                "/front_assets/general/" +
                                _img +
                                '"><div>' +
                                cartText +
                                "</div></div>";
                            cart_cashback_text = cart_cashback_text.replace(
                                "[amount]",
                                '<span class="wpcbmt_cls">' +
                                    shop_currency +
                                    total_cashback +
                                    "</span>",
                            ).replace("[reward_title]", result.reward_title);
                            if (wpcbshop == "bohin-france.myshopify.com") {
                                setTimeout(function () {
                                    var _bhncls =
                                        document.querySelectorAll(".bhncls");
                                    if (_bhncls) {
                                        _bhncls.forEach((element) => {
                                            element.style.display = "none";
                                        });
                                    }
                                    var _card__section_wpcb =
                                        document.querySelector(
                                            ".card__section.wpcb",
                                        );
                                    if (_card__section_wpcb) {
                                        _card__section_wpcb.insertAdjacentHTML(
                                            "beforeend",
                                            "<button style='margin-top: 15px' type='button' onclick='cartCheckoutCashback()' name='wep_checkout' class='cart_cashback_button'>" +
                                                cart_reedem_cashback_text +
                                                "</button><div style='font-size:15px;font-style:italic;'>" +
                                                cart_cashback_text +
                                                "</div>",
                                        );
                                    }
                                }, 300);
                            } else {
                                setTimeout(function () {
                                    replaceCartSnippetCode(
                                        shop_currency,
                                        total_cashback,
                                        cart_cashback_text,
                                    );
                                }, 500);
                            }
                        }
                    }
                };
                xhr.send(data);
            }
        }
        // Auto load popup Start
        function loadAutoPopup(popup_data_array) {
            var status_on_off = popup_data_array["status_on_off"];
            var auto_popup_status_on_off =
                popup_data_array["auto_popup_status_on_off"];
            var popup_style = parseInt(popup_data_array["popup_style"]);
            // status_on_off: 0->off, 1->on
            // auto_popup_status_on_off: 0->off, 1->on
            // console.log(auto_popup_status_on_off);
            if (status_on_off == 1 && auto_popup_status_on_off) {
                //popup_style : 1 fancy & 0 traditional popup
                setTimeout(function () {
                    if(auto_popup_status_on_off){                        
                        if (getCookieWpcb("displayedAutoPopup")) {                            
                            } else {                            
                                setCookieWpcb("displayedAutoPopup", 1, 1);
                                var _auto_popup_cls =
                                    document.getElementsByClassName(
                                        "auto_popup_cls",
                                    )[0];
                                if (_auto_popup_cls) {
                                    _auto_popup_cls.click();
                                }                                
                            }
                        }                    
                }, 500);
            }
            // console.log(getCookieWpcb("displayedAutoPopup"));
        }
        function setCookieWpcb(c_name, value, exdays) {
            //exdays = (60 * 1000);
            var c_value = escape(value);
            if (exdays) {
                var exdate = new Date();
                //exdate.setTime( exdate.getTime() + exdays );
                exdate.setDate(exdate.getDate() + exdays);
                c_value += "; expires=" + exdate.toUTCString();
            }
            document.cookie = c_name + "=" + c_value;
        }
        function getCookieWpcb(c_name) {
            var i,
                x,
                y,
                cookies = document.cookie.split(";");
            for (i = 0; i < cookies.length; i++) {
                x = cookies[i].substr(0, cookies[i].indexOf("="));
                y = cookies[i].substr(cookies[i].indexOf("=") + 1);
                x = x.replace(/^\s+|\s+$/g, "");

                if (x === c_name) {
                    return unescape(y);
                }
            }
        }
        // Check variable
        function wpCheckVar(var_item) {
            if (
                typeof var_item != "undefined" &&
                typeof var_item != undefined &&
                var_item != "" &&
                var_item != null &&
                Array.isArray(var_item) == false
            ) {
                return true;
            } else if (Array.isArray(var_item) == true && var_item.length > 0) {
                return true;
            }
            return false;
        }
        // Load CSS for popup
        function loadPopupCSS() {
            var popup_css = `<style type="text/css">.wpcb_buttons_style_position{position:fixed;z-index:9999999999;cursor:pointer}.wpcb_buttons_style_position.position_1{bottom:5px;left:5px;margin:10px}.wpcb_buttons_style_position.position_2{bottom:5px;left:45%;margin:10px}.wpcb_buttons_style_position.position_3{bottom:5px;right:5px;margin:10px}.wpcb_buttons_style_position.position_4{top: 50%;left: 0;transform: translateY(-50% );}.wpcb_buttons_style_position.position_4 span img{transform:rotate(180deg)!important}.wpcb_buttons_style_position.position_5{top: 50%;right: 0;transform: translateY(-50% );-webkit-transform: translateY(-50%);}.wpcb-safari-browser .wpcb_buttons_style_position.position_5{top: 50%;right: 44px;transform: translateY(-50% );}-webkit-transform: translateY(-50%);}.wpcb_buttons_style_position.position_5 span img{}.wpcb_buttons_style_position.position_5 a.position5{justify-content:center;align-items:center;transform:rotate(360deg);writing-mode:vertical-lr;height:auto;padding:10px 0;z-index:999999999!important;display:flex}.wpcb_buttons_style_position.position_4 a.position4{justify-content:center;align-items:center;writing-mode:vertical-lr;height:auto;padding:10px 0;z-index:999999999!important;display:flex}.wpcb_buttons_style_position.position_4 a.lefttransform{transform:rotate(180deg);}.wpcb_button_styles.active,.wpcb_button_styles:hover{border:2px solid var(--background_color,#000)}.wpcb_button_styles{display: flex;justify-content: center;padding: 8px 0px 8px 0px;border: 2px solid #ddd;cursor: pointer;}.wpcb-custom-btn {background-color: var(--background_color,#000);color: #fff;padding: 0 15px;height: 44px;line-height: 44px;text-align: center;text-decoration: none;display: inline-flex;justify-content: center;align-items: center;gap:8px;box-shadow: 0 3px 5px 0 rgba(0,0,0,0.4);transition: all 0.4s ease;}.wpcb-custom-btn:hover {box-shadow: none;}.wpcb-custom-btn img{width: 18px;height: 18px;display: block;}.wpcb-custom-rounded {border-radius: 10px;}.wpcb-custom-capsule {border-radius: 30px;padding: 0 20px;}.wpcb-custom-icon {padding: 0;width: 52px;height: 52px;}.wpcb-custom-icon img {width: 22px;height: 22px;}.wpcb-custom-icon-circle {border-radius: 50%;}.wpcb-custom-reverse {flex-direction: row-reverse;}.wpcb-icon-bg-circle span {display: flex;justify-content: center;align-items: center;width: 32px;height: 32px;background-color: rgba(255,255,255,0.3);border-radius: 50%;}.wpcb-custom-capsule.wpcb-icon-bg-circle {padding-left: 10px;padding-right: 10px;}.wpcb-custom-capsule.wpcb-icon-bg-circle.wpcb-custom-reverse {padding-left: 15px;padding-right: 8px;}.wpcb-icon-bg-circle.wpcb-stacked-icon {padding-left: 0;gap: 10px;}.wpcb-icon-bg-circle.wpcb-stacked-icon span {border-radius: 0;height: 100%;width: 40px;}.wpcb-icon-bg-circle.wpcb-stacked-icon.wpcb-custom-reverse {padding-left: 15px;padding-right: 0;}.wpcb-icon-bg-circle.wpcb-custom-capsule.wpcb-stacked-icon span {padding-left: 5px;}.wpcb-icon-bg-circle.wpcb-custom-capsule.wpcb-custom-reverse.wpcb-stacked-icon span {padding-right: 5px;padding-left: 0;}.animatedButton {cursor: pointer!important;animation: pulse 1s infinite alternate;box-shadow: 0 6px 8px rgba(0, 0, 0, 0.2);transform: scale(1.1);}@keyframes pulse {from {transform: scale(1);}to {transform: scale(1.1);}}.cart_cashback-popout,.cb-popout-btn,.cb-popout-btn span{font-family:-apple-system, BlinkMacSystemFont, San Francisco, Segoe UI, Roboto, Helvetica Neue, sans-serif!important;letter-spacing:normal}.wpcb-popout-btn{font-family:-apple-system, BlinkMacSystemFont, San Francisco, Segoe UI, Roboto, Helvetica Neue, sans-serif!important;position:fixed;z-index:99999999999;bottom:20px;display:flex;align-items:center;justify-content:center;cursor:pointer;color:#fff;border-radius:30px;}.wpcb-popout-btn a.wpcb-popout-btn-cashback{font-size:15px;color:#fff;line-height:24px;text-decoration:none;}.btn-img{margin-right:8px!important}a.cb-popout-btn.right-of-screen{right:15px;left:auto}a.cb-popout-btn{-webkit-transition:width .2s,height .2s;transition:width .2s,height .2s;width:fit-content;overflow:hidden;text-align:center;white-space:nowrap;line-height:40px}.cart_cashback-popout,.cb-popout-btn{z-index:99999999999999;text-transform:none;font-weight:400}.cb-popout-btn{margin:0;border:0;font-size:15px;display:inline-block;position:fixed;bottom:15px;outline:0;cursor:pointer;text-decoration:none}.btn-rounded{border-radius:60px!important;padding:7px 18px!important}.wep-left-stikymenu a,.wep-right-stikymenu a{width:54px;overflow:visible;list-style:none;font-family:-apple-system, BlinkMacSystemFont, San Francisco, Segoe UI, Roboto, Helvetica Neue, sans-serif!important;font-size:14px;font-weight:700;white-space:nowrap;line-height:40px;display:flex}a.cb-popout-btn.mid-of-screen{right:auto;left:50%!important;margin-left:0!important;}a.cb-popout-btn:active,a.cb-popout-btn:focus,a.cb-popout-btn:hover{opacity:1}.wep-left-stikymenu{width:auto;position:fixed;left:-3px;top:50%;display:flex;align-items:center;z-index:9999;transform:translateY(-50%)}.wep-left-stikymenu .btn-rounded,.wep-right-stikymenu .btn-rounded{border-radius:6px!important;padding:7px 18px!important}.wep-left-stikymenu a{justify-content:center;align-items:center;writing-mode:vertical-lr;transform:rotate(180deg);text-decoration:none;writing-mode:vertical-lr;text-align:right}.wep-left-stikymenu .cashback-btn,.wep-right-stikymenu .cashback-btn{align-items:baseline;margin:10px 0}.btn-img-rotate{margin-right:0;transform:rotate(90deg);margin-bottom:4px;float:left}.wep-right-stikymenu{width:auto;position:fixed;right:-3px;top:calc(50vh - 107px);display:flex;align-items:center;z-index:9999}.wep-left-stikymenu a,.wep-right-stikymenu a{background:#007bff!important;color:#fff!important}.wep-right-stikymenu a{text-decoration:none!important;justify-content:center;align-items:center;writing-mode:vertical-rl;writing-mode:vertical-rl}.cashback-btn{display:flex;align-items:center}.wpcb_cart_snippet_cls {border: 1px solid #ccc;border-radius: 6px;padding: 7px; display: flex;align-items: center; }.wpcb_cart_snippet_cls img{width: 40px;margin-right: 10px;}.wpcb_cart_snippet_cls_money {font-weight: bold;padding: 10px;font-size: 20px;font-style:italic;}.wpcbmt_cls{font-weight: bold;font-size: 15px;}.wep_casback_loading{height: 100%;position: fixed;width: 100%;z-index: 9999999999;left: 0;top: 0;background-color:rgba(255, 255, 255, 0.7)}.wep_casback_loading svg{background: transparent;position: absolute;top: 50%;left: 50%;}.wpcbbutton--loading .wpcbbutton__text {visibility: hidden;opacity: 0;}.wpcbbutton--loading::after {content: "";position: absolute;width: 30px;height: 30px;top: 0;left: 0;right: 0;bottom: 0;margin: auto;border: 3px solid transparent;border-radius: 50%;animation: wpcbbutton-loading-spinner 1s ease infinite;}@keyframes wpcbbutton-loading-spinner {from {transform: rotate(0turn);}to {transform: rotate(1turn);}}.wpcbbutton__text{display:flex;align-items:center;}@media (max-width:1024px){.wpcbbtn_parent {bottom: 76px !important;}.wpcbbtn_parentCustom {bottom: 56px !important;}}.wpcbbtn_parentUp {bottom: 76px !important;}@media(max-width:768px){.wpcb_buttons_style_position.position_2 {left: 40%;}}@media(max-width:576px){.wpcb_buttons_style_position.position_2 {left: 35%;}}@media(max-width: 426px){.wpcb_buttons_style_position.position_2 {left: 28%;}}.wpcb_buttons_style_position.position_4.wpcbbutton--loading{left:0!important;}.wpcb_buttons_style_position.position_5.wpcbbutton--loading{right:0!important;}.hde_popup{display:none;}</style>`;
            if(wpcbshop == "nourishmantra.myshopify.com"){
                var popup_css = `<style type="text/css">.wpcb_buttons_style_position{position:fixed;z-index:9999999999;cursor:pointer}.wpcb_buttons_style_position.position_1{bottom:5px;left:5px;margin:10px}.wpcb_buttons_style_position.position_2{bottom:5px;left:45%;margin:10px}.wpcb_buttons_style_position.position_3{bottom:5px;right:5px;margin:10px}.wpcb_buttons_style_position.position_4{top: 50%;left: 0;transform: translateY(-50% );}.wpcb_buttons_style_position.position_4 span img{transform:rotate(180deg)!important}.wpcb_buttons_style_position.position_5{top: 50%;right: 0;transform: translateY(-50% );}.wpcb-safari-browser .wpcb_buttons_style_position.position_5{top: 50%;right: 44px;transform: translateY(-50% );}.wpcb_buttons_style_position.position_5 span img{}.wpcb_buttons_style_position.position_5 a.position5{justify-content:center;align-items:center;transform:rotate(360deg);writing-mode:vertical-lr;height:auto;padding:10px 0;z-index:999999999!important;display:flex}.wpcb_buttons_style_position.position_4 a.position4{justify-content:center;align-items:center;writing-mode:vertical-lr;height:auto;padding:10px 0;z-index:999999999!important;display:flex}.wpcb_buttons_style_position.position_4 a.lefttransform{transform:rotate(180deg);}.wpcb_button_styles.active,.wpcb_button_styles:hover{border:2px solid var(--background_color,#000)}.wpcb_button_styles{display: flex;justify-content: center;padding: 8px 0px 8px 0px;border: 2px solid #ddd;cursor: pointer;}.wpcb-custom-btn {background-color: var(--background_color,#000);color: #fff;padding: 0 15px;height: 44px;line-height: 44px;text-align: center;text-decoration: none;display: inline-flex;justify-content: center;align-items: center;gap:8px;box-shadow: 0 3px 5px 0 rgba(0,0,0,0.4);transition: all 0.4s ease;}.wpcb-custom-btn:hover {box-shadow: none;}.wpcb-custom-btn img{width: 18px;height: 18px;display: block;}.wpcb-custom-rounded {border-radius: 10px;}.wpcb-custom-capsule {border-radius: 30px;padding: 0 20px;}.wpcb-custom-icon {padding: 0;width: 52px;height: 52px;}.wpcb-custom-icon img {width: 22px;height: 22px;}.wpcb-custom-icon-circle {border-radius: 50%;}.wpcb-custom-reverse {flex-direction: row-reverse;}.wpcb-icon-bg-circle span {display: flex;justify-content: center;align-items: center;width: 32px;height: 32px;background-color: rgba(255,255,255,0.3);border-radius: 50%;}.wpcb-custom-capsule.wpcb-icon-bg-circle {padding-left: 10px;padding-right: 10px;}.wpcb-custom-capsule.wpcb-icon-bg-circle.wpcb-custom-reverse {padding-left: 15px;padding-right: 8px;}.wpcb-icon-bg-circle.wpcb-stacked-icon {padding-left: 0;gap: 10px;}.wpcb-icon-bg-circle.wpcb-stacked-icon span {border-radius: 0;height: 100%;width: 40px;}.wpcb-icon-bg-circle.wpcb-stacked-icon.wpcb-custom-reverse {padding-left: 15px;padding-right: 0;}.wpcb-icon-bg-circle.wpcb-custom-capsule.wpcb-stacked-icon span {padding-left: 5px;}.wpcb-icon-bg-circle.wpcb-custom-capsule.wpcb-custom-reverse.wpcb-stacked-icon span {padding-right: 5px;padding-left: 0;}.animatedButton {cursor: pointer!important;animation: pulse 1s infinite alternate;box-shadow: 0 6px 8px rgba(0, 0, 0, 0.2);transform: scale(1.1);}@keyframes pulse {from {transform: scale(1);}to {transform: scale(1.1);}}.cart_cashback-popout,.cb-popout-btn,.cb-popout-btn span{font-family:-apple-system, BlinkMacSystemFont, San Francisco, Segoe UI, Roboto, Helvetica Neue, sans-serif!important;letter-spacing:normal}.wpcb-popout-btn{font-family:-apple-system, BlinkMacSystemFont, San Francisco, Segoe UI, Roboto, Helvetica Neue, sans-serif!important;position:fixed;z-index:99999999999;bottom:20px;display:flex;align-items:center;justify-content:center;cursor:pointer;color:#fff;border-radius:30px;}.wpcb-popout-btn a.wpcb-popout-btn-cashback{font-size:15px;color:#fff;line-height:24px;text-decoration:none;}.btn-img{margin-right:8px!important}a.cb-popout-btn.right-of-screen{right:15px;left:auto}a.cb-popout-btn{-webkit-transition:width .2s,height .2s;transition:width .2s,height .2s;width:fit-content;overflow:hidden;text-align:center;white-space:nowrap;line-height:40px}.cart_cashback-popout,.cb-popout-btn{z-index:99999999999999;text-transform:none;font-weight:400}.cb-popout-btn{margin:0;border:0;font-size:15px;display:inline-block;position:fixed;bottom:15px;outline:0;cursor:pointer;text-decoration:none}.btn-rounded{border-radius:60px!important;padding:7px 18px!important}.wep-left-stikymenu a,.wep-right-stikymenu a{width:54px;overflow:visible;list-style:none;font-family:-apple-system, BlinkMacSystemFont, San Francisco, Segoe UI, Roboto, Helvetica Neue, sans-serif!important;font-size:14px;font-weight:700;white-space:nowrap;line-height:40px;display:flex}a.cb-popout-btn.mid-of-screen{right:auto;left:50%!important;margin-left:0!important;}a.cb-popout-btn:active,a.cb-popout-btn:focus,a.cb-popout-btn:hover{opacity:1}.wep-left-stikymenu{width:auto;position:fixed;left:-3px;top:50%;display:flex;align-items:center;z-index:9999;transform:translateY(-50%)}.wep-left-stikymenu .btn-rounded,.wep-right-stikymenu .btn-rounded{border-radius:6px!important;padding:7px 18px!important}.wep-left-stikymenu a{justify-content:center;align-items:center;writing-mode:vertical-lr;transform:rotate(180deg);text-decoration:none;writing-mode:vertical-lr;text-align:right}.wep-left-stikymenu .cashback-btn,.wep-right-stikymenu .cashback-btn{align-items:baseline;margin:10px 0}.btn-img-rotate{margin-right:0;transform:rotate(90deg);margin-bottom:4px;float:left}.wep-right-stikymenu{width:auto;position:fixed;right:-3px;top:calc(50vh - 107px);display:flex;align-items:center;z-index:9999}.wep-left-stikymenu a,.wep-right-stikymenu a{background:#007bff!important;color:#fff!important}.wep-right-stikymenu a{text-decoration:none!important;justify-content:center;align-items:center;writing-mode:vertical-rl;writing-mode:vertical-rl}.cashback-btn{display:flex;align-items:center}.wpcb_cart_snippet_cls {border: 1px solid #ccc;border-radius: 6px;padding: 7px; display: flex;align-items: center; }.wpcb_cart_snippet_cls img{width: 40px;margin-right: 10px;}.wpcb_cart_snippet_cls_money {font-weight: bold;padding: 10px;font-size: 20px;font-style:italic;}.wpcbmt_cls{font-weight: bold;font-size: 15px;}.wep_casback_loading{height: 100%;position: fixed;width: 100%;z-index: 9999999999;left: 0;top: 0;background-color:rgba(255, 255, 255, 0.7)}.wep_casback_loading svg{background: transparent;position: absolute;top: 50%;left: 50%;}.wpcbbutton--loading .wpcbbutton__text {visibility: hidden;opacity: 0;}.wpcbbutton--loading::after {content: "";position: absolute;width: 30px;height: 30px;top: 0;left: 0;right: 0;bottom: 0;margin: auto;border: 3px solid transparent;border-radius: 50%;animation: wpcbbutton-loading-spinner 1s ease infinite;}@keyframes wpcbbutton-loading-spinner {from {transform: rotate(0turn);}to {transform: rotate(1turn);}}.wpcbbutton__text{display:flex;align-items:center;}@media (max-width:1024px){.wpcbbtn_parent {bottom: 76px !important;}.wpcbbtn_parentCustom {bottom: 56px !important;}}.wpcbbtn_parentUp {bottom: 76px !important;}@media(max-width:768px){.wpcb_buttons_style_position.position_2 {left: 40%;}}@media(max-width:576px){.wpcb_buttons_style_position.position_2 {left: 35%;}}@media(max-width: 426px){.wpcb_buttons_style_position.position_2 {left: 28%;}}.wpcb_buttons_style_position.position_4.wpcbbutton--loading{left:0!important;}.wpcb_buttons_style_position.position_5.wpcbbutton--loading{right:0!important;}.hde_popup{display:none;}@media(max-width: 767px){.wpcb_buttons_style_position.position_1{bottom: 100px;}}</style>`;
            }
            if(wpcbshop == "wdb6v2-8j.myshopify.com"){
                var popup_css = `<style type="text/css">.wpcb_buttons_style_position{position:fixed;z-index:9999999999;cursor:pointer}.wpcb_buttons_style_position.position_1{bottom:5px;left:5px;margin:10px}.wpcb_buttons_style_position.position_2{bottom:5px;left:45%;margin:10px}.wpcb_buttons_style_position.position_3{bottom:5px;right:5px;margin:10px}.wpcb_buttons_style_position.position_4{top: 50%;left: 0;transform: translateY(-50% );}.wpcb_buttons_style_position.position_4 span img{transform:rotate(180deg)!important}.wpcb_buttons_style_position.position_5{top: 50%;right: 0;transform: translateY(-50% );}.wpcb-safari-browser .wpcb_buttons_style_position.position_5{top: 50%;right: 44px;transform: translateY(-50% );}.wpcb_buttons_style_position.position_5 span img{}.wpcb_buttons_style_position.position_5 a.position5{justify-content:center;align-items:center;transform:rotate(360deg);writing-mode:vertical-lr;height:auto;padding:10px 0;z-index:999999999!important;display:flex}.wpcb_buttons_style_position.position_4 a.position4{justify-content:center;align-items:center;writing-mode:vertical-lr;height:auto;padding:10px 0;z-index:999999999!important;display:flex}.wpcb_buttons_style_position.position_4 a.lefttransform{transform:rotate(180deg);}.wpcb_button_styles.active,.wpcb_button_styles:hover{border:2px solid var(--background_color,#000)}.wpcb_button_styles{display: flex;justify-content: center;padding: 8px 0px 8px 0px;border: 2px solid #ddd;cursor: pointer;}.wpcb-custom-btn {background-color: var(--background_color,#000);color: #fff;padding: 0 15px;height: 44px;line-height: 44px;text-align: center;text-decoration: none;display: inline-flex;justify-content: center;align-items: center;gap:8px;box-shadow: 0 3px 5px 0 rgba(0,0,0,0.4);transition: all 0.4s ease;}.wpcb-custom-btn:hover {box-shadow: none;}.wpcb-custom-btn img{width: 18px;height: 18px;display: block;}.wpcb-custom-rounded {border-radius: 10px;}.wpcb-custom-capsule {border-radius: 30px;padding: 0 20px;}.wpcb-custom-icon {padding: 0;width: 52px;height: 52px;}.wpcb-custom-icon img {width: 22px;height: 22px;}.wpcb-custom-icon-circle {border-radius: 50%;}.wpcb-custom-reverse {flex-direction: row-reverse;}.wpcb-icon-bg-circle span {display: flex;justify-content: center;align-items: center;width: 32px;height: 32px;background-color: rgba(255,255,255,0.3);border-radius: 50%;}.wpcb-custom-capsule.wpcb-icon-bg-circle {padding-left: 10px;padding-right: 10px;}.wpcb-custom-capsule.wpcb-icon-bg-circle.wpcb-custom-reverse {padding-left: 15px;padding-right: 8px;}.wpcb-icon-bg-circle.wpcb-stacked-icon {padding-left: 0;gap: 10px;}.wpcb-icon-bg-circle.wpcb-stacked-icon span {border-radius: 0;height: 100%;width: 40px;}.wpcb-icon-bg-circle.wpcb-stacked-icon.wpcb-custom-reverse {padding-left: 15px;padding-right: 0;}.wpcb-icon-bg-circle.wpcb-custom-capsule.wpcb-stacked-icon span {padding-left: 5px;}.wpcb-icon-bg-circle.wpcb-custom-capsule.wpcb-custom-reverse.wpcb-stacked-icon span {padding-right: 5px;padding-left: 0;}.animatedButton {cursor: pointer!important;animation: pulse 1s infinite alternate;box-shadow: 0 6px 8px rgba(0, 0, 0, 0.2);transform: scale(1.1);}@keyframes pulse {from {transform: scale(1);}to {transform: scale(1.1);}}.cart_cashback-popout,.cb-popout-btn,.cb-popout-btn span{font-family:-apple-system, BlinkMacSystemFont, San Francisco, Segoe UI, Roboto, Helvetica Neue, sans-serif!important;letter-spacing:normal}.wpcb-popout-btn{font-family:-apple-system, BlinkMacSystemFont, San Francisco, Segoe UI, Roboto, Helvetica Neue, sans-serif!important;position:fixed;z-index:99999999999;bottom:20px;display:flex;align-items:center;justify-content:center;cursor:pointer;color:#fff;border-radius:30px;}.wpcb-popout-btn a.wpcb-popout-btn-cashback{font-size:15px;color:#fff;line-height:24px;text-decoration:none;}.btn-img{margin-right:8px!important}a.cb-popout-btn.right-of-screen{right:15px;left:auto}a.cb-popout-btn{-webkit-transition:width .2s,height .2s;transition:width .2s,height .2s;width:fit-content;overflow:hidden;text-align:center;white-space:nowrap;line-height:40px}.cart_cashback-popout,.cb-popout-btn{z-index:99999999999999;text-transform:none;font-weight:400}.cb-popout-btn{margin:0;border:0;font-size:15px;display:inline-block;position:fixed;bottom:15px;outline:0;cursor:pointer;text-decoration:none}.btn-rounded{border-radius:60px!important;padding:7px 18px!important}.wep-left-stikymenu a,.wep-right-stikymenu a{width:54px;overflow:visible;list-style:none;font-family:-apple-system, BlinkMacSystemFont, San Francisco, Segoe UI, Roboto, Helvetica Neue, sans-serif!important;font-size:14px;font-weight:700;white-space:nowrap;line-height:40px;display:flex}a.cb-popout-btn.mid-of-screen{right:auto;left:50%!important;margin-left:0!important;}a.cb-popout-btn:active,a.cb-popout-btn:focus,a.cb-popout-btn:hover{opacity:1}.wep-left-stikymenu{width:auto;position:fixed;left:-3px;top:50%;display:flex;align-items:center;z-index:9999;transform:translateY(-50%)}.wep-left-stikymenu .btn-rounded,.wep-right-stikymenu .btn-rounded{border-radius:6px!important;padding:7px 18px!important}.wep-left-stikymenu a{justify-content:center;align-items:center;writing-mode:vertical-lr;transform:rotate(180deg);text-decoration:none;writing-mode:vertical-lr;text-align:right}.wep-left-stikymenu .cashback-btn,.wep-right-stikymenu .cashback-btn{align-items:baseline;margin:10px 0}.btn-img-rotate{margin-right:0;transform:rotate(90deg);margin-bottom:4px;float:left}.wep-right-stikymenu{width:auto;position:fixed;right:-3px;top:calc(50vh - 107px);display:flex;align-items:center;z-index:9999}.wep-left-stikymenu a,.wep-right-stikymenu a{background:#007bff!important;color:#fff!important}.wep-right-stikymenu a{text-decoration:none!important;justify-content:center;align-items:center;writing-mode:vertical-rl;writing-mode:vertical-rl}.cashback-btn{display:flex;align-items:center}.wpcb_cart_snippet_cls {border: 1px solid #ccc;border-radius: 6px;padding: 7px; display: flex;align-items: center; }.wpcb_cart_snippet_cls img{width: 40px;margin-right: 10px;}.wpcb_cart_snippet_cls_money {font-weight: bold;padding: 10px;font-size: 20px;font-style:italic;}.wpcbmt_cls{font-weight: bold;font-size: 15px;}.wep_casback_loading{height: 100%;position: fixed;width: 100%;z-index: 9999999999;left: 0;top: 0;background-color:rgba(255, 255, 255, 0.7)}.wep_casback_loading svg{background: transparent;position: absolute;top: 50%;left: 50%;}.wpcbbutton--loading .wpcbbutton__text {visibility: hidden;opacity: 0;}.wpcbbutton--loading::after {content: "";position: absolute;width: 30px;height: 30px;top: 0;left: 0;right: 0;bottom: 0;margin: auto;border: 3px solid transparent;border-radius: 50%;animation: wpcbbutton-loading-spinner 1s ease infinite;}@keyframes wpcbbutton-loading-spinner {from {transform: rotate(0turn);}to {transform: rotate(1turn);}}.wpcbbutton__text{display:flex;align-items:center;}@media (max-width:1024px){.wpcbbtn_parent {bottom: 76px !important;}.wpcbbtn_parentCustom {bottom: 56px !important;}}.wpcbbtn_parentUp {bottom: 76px !important;}@media(max-width:768px){.wpcb_buttons_style_position.position_2 {left: 40%;}}@media(max-width:576px){.wpcb_buttons_style_position.position_2 {left: 35%;}}@media(max-width: 426px){.wpcb_buttons_style_position.position_2 {left: 28%;}}.wpcb_buttons_style_position.position_4.wpcbbutton--loading{left:0!important;}.wpcb_buttons_style_position.position_5.wpcbbutton--loading{right:0!important;}.hde_popup{display:none;}@media(max-width: 767px){.wpcb_buttons_style_position.position_1{bottom: 80px;}}</style>`;
            }
            if(wpcbshop == "1fc7fb.myshopify.com"){
                var popup_css = `<style type="text/css">.wpcb_buttons_style_position{position:fixed;z-index:9999999999;cursor:pointer}.wpcb_buttons_style_position.position_1{bottom:55px;left:5px;margin:10px}.wpcb_buttons_style_position.position_2{bottom:5px;left:45%;margin:10px}.wpcb_buttons_style_position.position_3{bottom:5px;right:5px;margin:10px}.wpcb_buttons_style_position.position_4{top: 50%;left: 0;transform: translateY(-50% );}.wpcb_buttons_style_position.position_4 span img{transform:rotate(180deg)!important}.wpcb_buttons_style_position.position_5{top: 50%;right: 0;transform: translateY(-50% );}.wpcb-safari-browser .wpcb_buttons_style_position.position_5{top: 50%;right: 44px;transform: translateY(-50% );}.wpcb_buttons_style_position.position_5 span img{}.wpcb_buttons_style_position.position_5 a.position5{justify-content:center;align-items:center;transform:rotate(360deg);writing-mode:vertical-lr;height:auto;padding:10px 0;z-index:999999999!important;display:flex}.wpcb_buttons_style_position.position_4 a.position4{justify-content:center;align-items:center;writing-mode:vertical-lr;height:auto;padding:10px 0;z-index:999999999!important;display:flex}.wpcb_buttons_style_position.position_4 a.lefttransform{transform:rotate(180deg);}.wpcb_button_styles.active,.wpcb_button_styles:hover{border:2px solid var(--background_color,#000)}.wpcb_button_styles{display: flex;justify-content: center;padding: 8px 0px 8px 0px;border: 2px solid #ddd;cursor: pointer;}.wpcb-custom-btn {background-color: var(--background_color,#000);color: #fff;padding: 0 15px;height: 44px;line-height: 44px;text-align: center;text-decoration: none;display: inline-flex;justify-content: center;align-items: center;gap:8px;box-shadow: 0 3px 5px 0 rgba(0,0,0,0.4);transition: all 0.4s ease;}.wpcb-custom-btn:hover {box-shadow: none;}.wpcb-custom-btn img{width: 18px;height: 18px;display: block;}.wpcb-custom-rounded {border-radius: 10px;}.wpcb-custom-capsule {border-radius: 30px;padding: 0 20px;}.wpcb-custom-icon {padding: 0;width: 52px;height: 52px;}.wpcb-custom-icon img {width: 22px;height: 22px;}.wpcb-custom-icon-circle {border-radius: 50%;}.wpcb-custom-reverse {flex-direction: row-reverse;}.wpcb-icon-bg-circle span {display: flex;justify-content: center;align-items: center;width: 32px;height: 32px;background-color: rgba(255,255,255,0.3);border-radius: 50%;}.wpcb-custom-capsule.wpcb-icon-bg-circle {padding-left: 10px;padding-right: 10px;}.wpcb-custom-capsule.wpcb-icon-bg-circle.wpcb-custom-reverse {padding-left: 15px;padding-right: 8px;}.wpcb-icon-bg-circle.wpcb-stacked-icon {padding-left: 0;gap: 10px;}.wpcb-icon-bg-circle.wpcb-stacked-icon span {border-radius: 0;height: 100%;width: 40px;}.wpcb-icon-bg-circle.wpcb-stacked-icon.wpcb-custom-reverse {padding-left: 15px;padding-right: 0;}.wpcb-icon-bg-circle.wpcb-custom-capsule.wpcb-stacked-icon span {padding-left: 5px;}.wpcb-icon-bg-circle.wpcb-custom-capsule.wpcb-custom-reverse.wpcb-stacked-icon span {padding-right: 5px;padding-left: 0;}.animatedButton {cursor: pointer!important;animation: pulse 1s infinite alternate;box-shadow: 0 6px 8px rgba(0, 0, 0, 0.2);transform: scale(1.1);}@keyframes pulse {from {transform: scale(1);}to {transform: scale(1.1);}}.cart_cashback-popout,.cb-popout-btn,.cb-popout-btn span{font-family:-apple-system, BlinkMacSystemFont, San Francisco, Segoe UI, Roboto, Helvetica Neue, sans-serif!important;letter-spacing:normal}.wpcb-popout-btn{font-family:-apple-system, BlinkMacSystemFont, San Francisco, Segoe UI, Roboto, Helvetica Neue, sans-serif!important;position:fixed;z-index:99999999999;bottom:20px;display:flex;align-items:center;justify-content:center;cursor:pointer;color:#fff;border-radius:30px;}.wpcb-popout-btn a.wpcb-popout-btn-cashback{font-size:15px;color:#fff;line-height:24px;text-decoration:none;}.btn-img{margin-right:8px!important}a.cb-popout-btn.right-of-screen{right:15px;left:auto}a.cb-popout-btn{-webkit-transition:width .2s,height .2s;transition:width .2s,height .2s;width:fit-content;overflow:hidden;text-align:center;white-space:nowrap;line-height:40px}.cart_cashback-popout,.cb-popout-btn{z-index:99999999999999;text-transform:none;font-weight:400}.cb-popout-btn{margin:0;border:0;font-size:15px;display:inline-block;position:fixed;bottom:15px;outline:0;cursor:pointer;text-decoration:none}.btn-rounded{border-radius:60px!important;padding:7px 18px!important}.wep-left-stikymenu a,.wep-right-stikymenu a{width:54px;overflow:visible;list-style:none;font-family:-apple-system, BlinkMacSystemFont, San Francisco, Segoe UI, Roboto, Helvetica Neue, sans-serif!important;font-size:14px;font-weight:700;white-space:nowrap;line-height:40px;display:flex}a.cb-popout-btn.mid-of-screen{right:auto;left:50%!important;margin-left:0!important;}a.cb-popout-btn:active,a.cb-popout-btn:focus,a.cb-popout-btn:hover{opacity:1}.wep-left-stikymenu{width:auto;position:fixed;left:-3px;top:50%;display:flex;align-items:center;z-index:9999;transform:translateY(-50%)}.wep-left-stikymenu .btn-rounded,.wep-right-stikymenu .btn-rounded{border-radius:6px!important;padding:7px 18px!important}.wep-left-stikymenu a{justify-content:center;align-items:center;writing-mode:vertical-lr;transform:rotate(180deg);text-decoration:none;writing-mode:vertical-lr;text-align:right}.wep-left-stikymenu .cashback-btn,.wep-right-stikymenu .cashback-btn{align-items:baseline;margin:10px 0}.btn-img-rotate{margin-right:0;transform:rotate(90deg);margin-bottom:4px;float:left}.wep-right-stikymenu{width:auto;position:fixed;right:-3px;top:calc(50vh - 107px);display:flex;align-items:center;z-index:9999}.wep-left-stikymenu a,.wep-right-stikymenu a{background:#007bff!important;color:#fff!important}.wep-right-stikymenu a{text-decoration:none!important;justify-content:center;align-items:center;writing-mode:vertical-rl;writing-mode:vertical-rl}.cashback-btn{display:flex;align-items:center}.wpcb_cart_snippet_cls {border: 1px solid #ccc;border-radius: 6px;padding: 7px; display: flex;align-items: center; }.wpcb_cart_snippet_cls img{width: 40px;margin-right: 10px;}.wpcb_cart_snippet_cls_money {font-weight: bold;padding: 10px;font-size: 20px;font-style:italic;}.wpcbmt_cls{font-weight: bold;font-size: 15px;}.wep_casback_loading{height: 100%;position: fixed;width: 100%;z-index: 9999999999;left: 0;top: 0;background-color:rgba(255, 255, 255, 0.7)}.wep_casback_loading svg{background: transparent;position: absolute;top: 50%;left: 50%;}.wpcbbutton--loading .wpcbbutton__text {visibility: hidden;opacity: 0;}.wpcbbutton--loading::after {content: "";position: absolute;width: 30px;height: 30px;top: 0;left: 0;right: 0;bottom: 0;margin: auto;border: 3px solid transparent;border-radius: 50%;animation: wpcbbutton-loading-spinner 1s ease infinite;}@keyframes wpcbbutton-loading-spinner {from {transform: rotate(0turn);}to {transform: rotate(1turn);}}.wpcbbutton__text{display:flex;align-items:center;}@media (max-width:1024px){.wpcbbtn_parent {bottom: 76px !important;}.wpcbbtn_parentCustom {bottom: 56px !important;}}.wpcbbtn_parentUp {bottom: 76px !important;}@media(max-width:768px){.wpcb_buttons_style_position.position_2 {left: 40%;}}@media(max-width:576px){.wpcb_buttons_style_position.position_2 {left: 35%;}}@media(max-width: 426px){.wpcb_buttons_style_position.position_2 {left: 28%;}}.wpcb_buttons_style_position.position_4.wpcbbutton--loading{left:0!important;}.wpcb_buttons_style_position.position_5.wpcbbutton--loading{right:0!important;}.hde_popup{display:none;}</style>`;
            }
            head_tag.insertAdjacentHTML('beforeend', popup_css);
        }
        // Default Load data JS popup --- Pending
        function loadPopupJS() {                        
            var wpcbibtn = document.querySelector(".auto_popup_cls");
            if (wpcbibtn) {
                wpcbibtn.addEventListener("click", function () {
                    var _wpcbtp = wpcbibtn.getAttribute("wpcbtp");
                    if(_offerpages.includes(_wpcbtp) == true){
                        openPublicOrWalletPage();
                    } else {
                        openIwpcbPopupIframe();
                    }
                });
            }
        }
        // After get_badge response -> Set popup Design HTML
        function popupDesignHTML(response) {
            var button_style = {
                class: "wpcb-custom-btn wpcb-custom-capsule wpcb-icon-bg-circle",
                isIcon: true,
                onlyIcon: false,
            }
            var popup_html = "";            
            var rotate_cls = "";
            var btn_text =
                customerId == 0 ? response.button_text.replace("[reward_title]" , response.reward_title) : response.front_text;
            var extra_css = "";
            if (btn_text == null) {
                btn_text = "";
                extra_css = "margin-right:0px !important;";
            }
            if (wpCheckVar(response.button_style)) {
                button_style = response.button_style;
            }
            var heightwidth = '20px';            
            if(button_style.onlyIcon === true){
                heightwidth = '26px';
            }
            var svg_filter_css = 'filter:brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(7469%) hue-rotate(43deg) brightness(105%) contrast(109%)';
            var cb_icon_path = '<img src="' +app_url +'front_assets/general/no_icon.svg" style="height:'+heightwidth+';width:'+heightwidth+';' +
                        svg_filter_css +
                        extra_css +
                        '" alt="noicon"> ';            
            if (wpCheckVar(response.svg_filter)) {
                svg_filter_css = response.svg_filter;
            }            
            if (wpCheckVar(response.cb_btn_icon)) {
                rotate_cls =
                    response.position == "4" || response.position == "5"
                        ? "btn-img-rotate"
                        : "";
                var btnName = response.cb_btn_icon;
                if (btnName != null) {
                    cb_icon_path =
                        '<img src="' +
                        app_url +
                        "front_assets/general/" +
                        response.cb_btn_icon +
                        '.svg" style="height:'+heightwidth+';width:'+heightwidth+';' +
                        svg_filter_css +
                        extra_css +
                        '"> ';
                }
            }
            var additional_class_popup_btn = "";            
            // additional_class_popup_btn += "no-transition";
            

            var additional_class_popup_btn_parent = "";
            if (
                wpcbshop == "khazanay.myshopify.com" ||                
                wpcbshop == "freedastorebr.myshopify.com"
            ) {
                additional_class_popup_btn_parent += "wpcbbtn_parent";
            }

            if (wpcbshop == "2e6a3c-2.myshopify.com") {
                additional_class_popup_btn_parent += "wpcbbtn_parentCustom";
            }

            if (wpcbshop == "dknutrition.myshopify.com") {
                additional_class_popup_btn_parent += "wpcbbtn_parentUp";
            }            
            var position_cls = "position_"+response.position;    
            var right_left_cls =
        response.position == "4" ||
        response.position == "5"
            ? "position" + response.position
            : "";                
            var lefttransform = button_style.onlyIcon == false && response.position == "4" ? "lefttransform" : '';    
            popup_html += '<div class="wpcb_buttons_style_position ' + position_cls +' ' + additional_class_popup_btn_parent +'">';
            popup_html += '<a class="'+button_style.class+' background_color_cls title_text_color_cls loadingtag" style="padding:20px;display:none;">&nbsp;</a><a href="javascript:" id="wep_get_cashback" auto_popup="'+(wpCheckVar(response.auto_popup_status_on_off) ? 1 : 0)+'" class="auto_popup_cls '+button_style.class+' background_color_cls title_text_color_cls '+right_left_cls+' '+lefttransform+' '+additional_class_popup_btn +'" style="z-index:999999999!important;" wpcbtp="' +
                        response.popup +
                        '">';
            if(button_style.isIcon === true){
                if(button_style.onlyIcon === true){
                    popup_html += cb_icon_path;
                }else{
                    popup_html +='<span>' + cb_icon_path + "</span>";                            
                }    
                
            }
            // console.log('=>',button_style.isIcon,'<=');
            // console.log('=>',button_style.onlyIcon,'<=');
            if(button_style.onlyIcon === false){
                // console.log(button_style.onlyIcon);
                popup_html += btn_text;
            }
            popup_html +="</a></div>";
            return popup_html;
        }
        // After get_badge response -> Set popup Design css
        function loadPopupDynamicCSS(response) {
            var align_pop = "left";
            var popup_dynamic_css = ``;

            popup_dynamic_css += `<style type="text/css">`;
            if (response.popup == 2) {
                if (response.position == 3) {
                    align_pop = "right";
                }
                popup_dynamic_css +=
                    `.sub_title_text_color_cls{color: ` +
                    response.sub_title_text_color +
                    `!important}`;
            }
            popup_dynamic_css +=
                `.background_color_cls,.background_color_cls:hover,.background_color_cls:after{
                background-color: ` +
                response.background_color +
                `!important;
                border-color: ` +
                response.background_color +
                `!important;
            }
            .wep-right-stikymenu a,.wep-left-stikymenu a {
                background: ` +
                response.background_color +
                `!important;
                color: ` +
                response.title_text_color +
                `!important;
            }
            .title_text_color_cls{
                color: ` +
                response.title_text_color +
                `!important;
            }
            .wpcb-popup-main .wpcb-center-body-wrapper{
                ` +
                align_pop +
                `:15px ;
            }
            .wpcb-popout-btn{
                ` +
                align_pop +
                `:15px;
            }
            .wpcbbutton--loading::after{
                border-top-color: ` +
                response.title_text_color +
                `!important
            }`;

            popup_dynamic_css += `</style>`;
            head_tag.insertAdjacentHTML("beforeend", popup_dynamic_css);

            // setLoader svg
            var _svg_bg_color = response.background_color
                ? response.background_color
                : "#e15b64";
            var _svg =
                '<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" style="margin:auto;background:transparent;display:block;" width="40px" height="40px" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid"><g><path d="M50 11A39 39 0 1 0 76.69733713121887 21.570223530564963" fill="none" stroke="' +
                _svg_bg_color +
                '" stroke-width="3"></path><path d="M49 1L49 21L59 11L49 1" fill="' +
                _svg_bg_color +
                '"></path><animateTransform attributeName="transform" type="rotate" repeatCount="indefinite" dur="2s" values="0 50 50;360 50 50" keyTimes="0;1"></animateTransform></g></svg>';
            document.getElementsByClassName(
                "wep_casback_loading",
            )[0].innerHTML = _svg;
        }
        function get_languagesFn(language, key = "") {
            var language_arr = new Object();
            language_arr = {
                en: {
                    redeem_cashback: "Redeem cashback",
                    My_Cashback_Wallet: "My Wallet",
                    loading: "Loading...",
                    my_balance: "My Balance",
                },
                it: {
                    redeem_cashback: "Riscatta il cashback",
                    My_Cashback_Wallet: "Il mio portafoglio",
                    loading: "Caricamento in corso...",
                    my_balance: "Il mio saldo",
                },
                sp: {
                    redeem_cashback: "Canjear reembolso",
                    My_Cashback_Wallet: "Mi billetera",
                    loading: "Cargando...",
                    my_balance: "Mi Saldo",
                },
                pt: {
                    redeem_cashback: "Resgatar reembolso",
                    My_Cashback_Wallet: "Minha carteira",
                    loading: "Carregando...",
                    my_balance: "Meu Saldo",
                },
                fr: {
                    redeem_cashback: "Utiliser le cashback",
                    My_Cashback_Wallet: (wpcbshop == "en-cavale-fr.myshopify.com") ? "Ma cagnotte" : "Mon portefeuille",
                    loading: "Chargement...",
                    my_balance: "Mon solde",
                },
                de: {
                    redeem_cashback: "Cashback einlösen",
                    my_balance: "Mein Guthaben",
                    loading: "Wird geladen...",
                    My_Cashback_Wallet: "Mein Geldbeutel",
                },
            };
            if (key) {
                return language_arr[language][key];
            }
            return language_arr[language];
        }
        function loaderShowHide(hide_show = "") {
            let _loader_inner = document.querySelectorAll(".loader-inner");
            if (_loader_inner) {
                _loader_inner.forEach((element) => {
                    element.style.display = hide_show;
                });
            }
        }
        function wepCasbackLoading(hide_show) {
            document.getElementsByClassName(
                "wep_casback_loading",
            )[0].style.display = hide_show;
        }
        function showLoaderOnButton(hide_show) {
            if (hide_show == "show") {
                document
                    .querySelector(".wpcb_buttons_style_position")
                    .classList.add("wpcbbutton--loading");
                document.querySelector(".auto_popup_cls").style.display="none";
                document.querySelector(".loadingtag").style.display="block";
            } else {
                document
                    .querySelector(".wpcb_buttons_style_position")
                    .classList.remove("wpcbbutton--loading");
                document.querySelector(".auto_popup_cls").style.display="flex";
                document.querySelector(".loadingtag").style.display="none";
            }
        }
        wexLoadScript();
        function openIwpcbPopupIframe() {
            var _wpcbtp_body_popup_type = body_tag.getAttribute("wpcbpopup_template");            
            if(_wpcbtp_body_popup_type == 'popup'){                
                var _iwpcb_popup = document.getElementById("_iwpcb_popup");
                if (wpcbshop == "903753-2.myshopify.com") {
                    var isTransitionCls = document.querySelector(".PageTransition");
                    if (isTransitionCls) {
                        isTransitionCls.remove();
                    }
                }            
                if (_iwpcb_popup == null) {                
                    showLoaderOnButton("show");
                    var ifrm = document.createElement("iframe");
                    ifrm.setAttribute(
                        "src",
                        "/" +
                            proxy_url_prefix +
                            "/wpcbp/popup?shop=" +
                            wpcbshop +
                            "&customerId=" +
                            customerId +
                            "&langParam=" +
                            langParam,
                    );
                    ifrm.setAttribute("id", "_iwpcb_popup");
                    ifrm.setAttribute(
                        "style",
                        "left:0;bottom:0;width:100%;height:100%;position:fixed;z-index:99999999;border:0px;",
                    );
                    ifrm.onload = function () {
                        showLoaderOnButton("hide");
                    };                
                    document.body.appendChild(ifrm);                                
                }
                if (_iwpcb_popup) {
                    if (window.getComputedStyle(_iwpcb_popup).display == "block") {
                        _iwpcb_popup.style.display = "none";
                    } else {
                        _iwpcb_popup.style.display = "block";
                    }
                }
            }
        }
    }

    function openPublicOrWalletPage() {
        showLoaderOnButton("show");
        window.location.href = wallet_page_url;
    }

    if (/Safari/.test(navigator.userAgent) && !/Chrome/.test(navigator.userAgent) && !/Edg/.test(navigator.userAgent)) {
        document.body.classList.add('wpcb-safari-browser');
    }
}
